Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 982799 - nodejs-tap test suite fails
Summary: nodejs-tap test suite fails
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nodejs-tap
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: T.C. Hollingsworth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-09 22:42 UTC by Jamie Nguyen
Modified: 2013-07-23 01:11 UTC (History)
2 users (show)

Fixed In Version: nodejs-tap-0.4.1-6.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-23 01:11:59 UTC


Attachments (Terms of Use)

Description Jamie Nguyen 2013-07-09 22:42:07 UTC
Enabling the tests in the nodejs-tap-0.4.1-4.fc19 SPEC results in the following failure:

DEBUG: + /usr/bin/node /builddir/build/BUILDROOT/nodejs-tap-0.4.1-5.fc19.x86_64/usr/lib/node_modules/tap/bin/tap.js test/buffer_compare.js test/common.js test/deep.js test/expose-gc-test.js test/independent-timeouts.js test/isolated-conf-test.js test/meta-test.js test/nested-test.js test/non-tap-output.js test/output-childtest-description.js test/result-trap.js test/segv.js test/simple-harness-test-with-plan.js test/simple-harness-test.js test/test-test.js test/timeout.js test/trivial-success.js test/undefined_indented.js
DEBUG: /builddir/build/BUILDROOT/nodejs-tap-0.4.1-5.fc19.x86_64/usr/lib/node_modules/tap/lib/tap-runner.js:28
DEBUG:   Runner.super.call(this, diag)
DEBUG:                ^
DEBUG: TypeError: Cannot call method 'call' of undefined
DEBUG:     at new Runner (/builddir/build/BUILDROOT/nodejs-tap-0.4.1-5.fc19.x86_64/usr/lib/node_modules/tap/lib/tap-runner.js:28:16)
DEBUG:     at Object.<anonymous> (/builddir/build/BUILDROOT/nodejs-tap-0.4.1-5.fc19.x86_64/usr/lib/node_modules/tap/bin/tap.js:92:9)
DEBUG:     at Module._compile (module.js:456:26)
DEBUG:     at Object.Module._extensions..js (module.js:474:10)
DEBUG:     at Module.load (module.js:356:32)
DEBUG:     at Function.Module._load (module.js:312:12)
DEBUG:     at Function.Module.runMain (module.js:497:10)
DEBUG:     at startup (node.js:119:16)
DEBUG:     at node.js:901:3

Comment 1 T.C. Hollingsworth 2013-07-10 10:02:58 UTC
You tried it with inherits-2, which causes this failure.  With inherits-1, the tests pass.  I'm going to %nodejs_fixdep this and enable the tests.

Comment 2 Jamie Nguyen 2013-07-10 10:06:25 UTC
(In reply to T.C. Hollingsworth from comment #1)
> You tried it with inherits-2, which causes this failure.  With inherits-1,
> the tests pass.  I'm going to %nodejs_fixdep this and enable the tests.

Excellent, thanks. This will fix the issue I've had with a couple of my review requests too :)

Comment 3 Fedora Update System 2013-07-10 11:40:33 UTC
nodejs-tap-0.4.1-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-tap-0.4.1-5.fc19

Comment 4 Fedora Update System 2013-07-11 02:36:06 UTC
Package nodejs-tap-0.4.1-5.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nodejs-tap-0.4.1-5.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12761/nodejs-tap-0.4.1-5.fc19
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-07-13 11:44:11 UTC
nodejs-tap-0.4.1-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-tap-0.4.1-6.fc19

Comment 6 Fedora Update System 2013-07-23 01:11:59 UTC
nodejs-tap-0.4.1-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.